#ifndef CJP_G3DVIEW_H__
#define CJP_G3DVIEW_H__

#include <View.h>

class G3DView : public BView
{	
public:
	G3DView(BRect rect);
	virtual ~G3DView();
	
	// Called to draw the backbuffer ..good stuff..
	//virtual void Draw(BRect updateRect);
	
	// Used to create the backbuffer.
	bool CreateBitmap(float width, float height, color_space colorspace);
	void DestroyBitmap();
	
	BBitmap* GetBackBuffer() {return backBuffer;}
	
	void Draw(BRect updateRect);
protected:
	// Our render target.
	BBitmap *backBuffer;
};
	
#endif